package com.fjhx.service.stock;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.base.Condition;
import com.fjhx.entity.stock.StockJournal;
import com.fjhx.params.stock.StockChangeVo;
import com.fjhx.params.stock.StockJournalVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 出入库流水记录 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-24
 */
public interface StockJournalService extends BaseService<StockJournal> {

    Page<StockJournal> getPage(Map<String, String> condition);

    void add(StockJournalVo stockJournalVo);

    void edit(StockJournalVo stockJournalVo);

    void delete(StockJournalVo stockJournalVo);

    List<StockJournal> addJournal(StockChangeVo stockChangeVo);

    /**
     * 获取手动出库分页
     */
    Page<Map<String, Object>> getManualOutPage(Condition condition);

    /**
     * 手动入库列表
     *
     * @param condition 查询条件
     * @return
     */
    Page<StockJournal> getManualInStockPage(Condition condition);

    // /**
    //  * 到货质检列表
    //  *
    //  * @param condition 查询条件
    //  * @return
    //  */
    // Page<StockJournal> getArrivalQualityPage(Map<String, Object> condition);

    /**
     * 出入库单据
     */
    Page<Map<String, Object>> inOutDocument(Condition condition);

}
